<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    function  createNewUser() {
       const user = {
           firstName : prompt("Введите ваше имя"),
            lastName : prompt ("Введите вашу фамилию"),
            getLogin : function(){
              return `${this.firstName[0]}${this.lastName}`.toLowerCase();
            }

        }
        return user;
    };

    const user = createNewUser();
    alert(user.getLogin());
</script>

</body>
</html>